Bug 1415844

Summary: Keystone AdminApi service is not listening in the internalAPI network as defined in templates.
Product: Red Hat OpenStack Reporter: David Hill <dhill>
Component: rhosp-directorAssignee: Angus Thomas <athomas>
Status: CLOSED WONTFIX QA Contact: Amit Ugol <augol>
Severity: medium Docs Contact:
Priority: medium    
Version: 10.0 (Newton)CC: dbecker, dhill, josorior, mburns, morazi, nkinder, rhel-osp-director-maint, rmascena
Target Milestone: ---Keywords: Triaged, ZStream
Target Release: 10.0 (Newton)   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-10-03 13:37:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description David Hill 2017-01-23 22:51:47 UTC
Description of problem:
KeystoneAdminApiNetwork: internal_api is defined in the templates and the service is configured in the provisioning network during the deployment 

Version-Release number of selected component (if applicable):
Latest

How reproducible:
Always

Steps to Reproduce:
1. Change KeystoneAdminApiNetwork to internal_api in ServiceNetMap
2. Deploy

Actual results:
In haproxy.cfg, the AdminAPINetwork is binded on the ctlplane instead of the internal_api

Expected results:
Should reflect the templates

Additional info:

Comment 1 Juan Antonio Osorio 2017-01-24 19:29:34 UTC
David, what release was this in? I tried reproducing it in upstream tripleo, and for the master branch it seems there was no problem when trying to do that in a network-isolated, ha deployment. (for the record, this is how I tried it out https://review.openstack.org/#/c/424718/ ). In resulting deployment I see keystone_admin_api_vip and keystone_admin_api_network with the correct values, thus resulting in a correct haproxy.cfg. How did you change the network?

I added this to the paramete_defaults section of an environment file:

  ServiceNetMap:
    KeystoneAdminApiNetwork: internal_api

Comment 4 David Hill 2017-02-22 15:55:08 UTC
openstack-tripleo-heat-templates-5.2.0-3.el7ost.noarch
openstack-tripleo-0.0.8-0.2.4de13b3git.el7ost.noarch
openstack-tripleo-common-5.4.1-1.el7ost.noarch
puppet-tripleo-5.5.0-2.el7ost.noarch